Page MenuHomePhabricator

efl/gesture: discard non-press events for all touch points if unseen previously
ClosedPublic

Authored by zmike on Jan 23 2020, 12:26 PM.

Details

Summary

not sure why this was restricted to first touch point previously, but the logic
applies to all points as we don't want to be tracking input for a touch we
haven't gotten a down for

Depends on D11168

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 23 2020, 12:26 PM
zmike requested review of this revision.Jan 23 2020, 12:26 PM
CHAN accepted this revision.Jan 28 2020, 3:39 AM
CHAN added a subscriber: smohanty.

Um... i changed @smohanty 's first concept. so that code is kinda legacy...

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:39 AM
zmike updated this revision to Diff 28674.Jan 29 2020, 11:21 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

Closed by commit rEFLff8e8fd5f8c0: efl/gesture: discard non-press events for all touch points if unseen previously (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:17 AM
This revision was automatically updated to reflect the committed changes.